com.io7m.r2.core

## Interface R2LightProjectiveWithoutShadowReadableType

- All Superinterfaces:
    R2LightProjectiveReadableType, R2LightReadableType, R2LightSingleReadableType, R2LightVolumeSingleReadableType
  All Known Subinterfaces:
    R2LightProjectiveWithoutShadowType
  All Known Implementing Classes:
    R2LightProjectiveWithoutShadow

      public interface R2LightProjectiveWithoutShadowReadableType
      extends R2LightProjectiveReadableType

  The type of readable projective lights that do not have shadows.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <A,B,E extends Throwable> B` | `matchProjectiveReadable(A context, com.io7m.jfunctional.PartialBiFunctionType<A,R2LightProjectiveWithoutShadowReadableType,B,E> on_shadowless, com.io7m.jfunctional.PartialBiFunctionType<A,R2LightProjectiveWithShadowReadableType,B,E> on_shadowed)` Match on the type of projective light.

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveReadableType

      `falloff, image, matchLightVolumeSingleReadable, position, projection, radius, transform`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightSingleReadableType

      `arrayObject, matchLightSingle`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightReadableType

      `color, intensity, lightID`

- - ### Method Detail

    - #### matchProjectiveReadable

          default <A,B,E extends Throwable> B matchProjectiveReadable(A context,
                                                                      com.io7m.jfunctional.PartialBiFunctionType<A,R2LightProjectiveWithoutShadowReadableType,B,E> on_shadowless,
                                                                      com.io7m.jfunctional.PartialBiFunctionType<A,R2LightProjectiveWithShadowReadableType,B,E> on_shadowed)
                                                               throws E extends Throwable

      Description copied from interface: `R2LightProjectiveReadableType`
      Match on the type of projective light.
      Specified by:
        `matchProjectiveReadable` in interface `R2LightProjectiveReadableType`
      Type Parameters:
        `A` - The type of context values
        `B` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `context` - A context value
        `on_shadowless` - Evaluated for projective lights without shadows
        `on_shadowed` - Evaluated for projective lights with shadows
      Returns:
        A value of type `B`
      Throws:
        `E` - If any of the given functions raise `E`
        `E extends Throwable`

Copyright © 2016 <code@io7m.com> http://io7m.com